# Generated automatically from Makefile.in by configure.
# $Id: Makefile,v 1.2 2000/11/24 16:19:23 daniele Exp $

GOAL   = 

OBJS   = 
SRCS   = 
HFILES = 

LIBS   = 

# directories
srcdir		= .
top_srcdir	= ..
INCDIRS		= -I$(srcdir) -I. -I$(top_srcdir)/src -I.. -I$(top_srcdir)/src/Core -I$(top_srcdir)/src/rpsl 

LIBDIRS =  util gnug++ Core rpsl
TOOLDIRS = rpslcheck
SUBDIRS = $(LIBDIRS) $(TOOLDIRS)

# programs

SHELL           = /bin/sh
RANLIB          = ranlib
CC              = gcc
CXX             = c++
BISON           = bison -y
FLEX            = flex
LD              = c++
PERL            = @PERL_PATH@
INSTALL         = .././install-sh -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA    = ${INSTALL} -m 644

# The default location for installation.
prefix      = /usr/local
exec_prefix = ${prefix}
bindir      = ${exec_prefix}/bin
mandir      = ${prefix}/man
man1dir     = $(mandir)/man1
man8dir     = $(mandir)/man8

DEFINES  = -DHAVE_CONFIG_H
CFLAGS   = -O3 -gstabs+
CPPFLAGS = 
LDFLAGS  = 
CXXFLAGS = -O3 -gstabs+ -frtti

.y.o:

.c.o:
	$(CC)  -c $(CPPFLAGS) $(CFLAGS) $(DEFINES) $(INCDIRS) $<

.cc.o:
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $(DEFINES) $(INCDIRS) $<

.SUFFIXES: .cc

#
# No need to make changes below
#

all: 
	for i in $(TOOLDIRS); do cd $$i; $(MAKE) $(MFLAGS) all; cd ..; done

$(GOAL): $(OBJS) dolibs
	$(CXX) $(CFLAGS) -o $(GOAL) $(OBJS) $(LIBS)

dolibs:
	for i in $(LIBDIRS); do cd $$i; $(MAKE) $(MFLAGS) all; cd ..; done

clean:
	for i in $(SUBDIRS); do cd $$i; $(MAKE) $(MFLAGS) clean; cd ..; done

mostlyclean:
	for i in $(SUBDIRS); do cd $$i; $(MAKE) $(MFLAGS) mostlyclean; cd ..; done

depend:
	for i in $(SUBDIRS); do cd $$i; $(MAKE) $(MFLAGS) depend; cd ..; done

install:
	@for i in $(prefix) $(bindir) $(mandir) $(man1dir) $(man8dir) ; do \
		test -d $$i || mkdir -p $$i; \
	done
	for i in $(TOOLDIRS); do $(INSTALL_PROGRAM) $$i/$$i $(bindir); done
	for i in ../man/man1/*; do $(INSTALL_DATA) $$i $(man1dir); done
	for i in ../man/man8/*; do $(INSTALL_DATA) $$i $(man8dir); done

tags:
	@find `pwd` -name \*.hh -or -name \*.cc -or -name \*.c -or -name \*.h -or -name \*.y -or -name \*.l | xargs etags -t

list:
	@find `pwd` -name \*.hh -or -name \*.cc -or -name \*.c -or -name \*.h -or -name \*.y -or -name \*.l

check:
	@for i in $(TOOLDIRS); do \
		test -f $$i/$$i || echo "$$i was not built properly!"; \
	done
	@echo "Check done!"
